footer__line_height = 24px

footer__breakpoint_1 = 470px
footer__breakpoint_2 = 570px


.footer

    // distance

    // flex container
    display flex
    flex-direction column
    flex-wrap nowrap
    justify-content flex-start
    align-items stretch

    @media (min-width: footer__breakpoint_1)
        flex-direction row
        flex-wrap nowrap
        justify-content space-between
        align-items flex-start


.footer__address

    // flex item
    flex-basis auto
    flex-grow 0
    flex-shrink 0


    & > *

        // display
        display block


.footer__site-title

    // distance
    margin-bottom 0.5 * footer__line_height

    // text
    font-weight 500
    text-transform uppercase


.footer__separation-character

    // color
    color on_paper__grey_text


.footer__menu

    // flex item
    flex-basis auto
    flex-grow 0
    flex-shrink 0

    // distance
    margin-top 0.5 * footer__line_height
    @media (min-width: footer__breakpoint_1)
        margin-top 1.5 * footer__line_height
        margin-left 40px

    // flex container
    display flex
    flex-direction row
    flex-wrap nowrap
    justify-content flex-start
    align-items flex-start

    @media (min-width: footer__breakpoint_1)
        flex-direction column
        flex-wrap nowrap
        justify-content flex-start
        align-items flex-start

    @media (min-width: footer__breakpoint_2)
        flex-direction row
        flex-wrap nowrap
        justify-content flex-start
        align-items flex-start


.footer__menu-subgroup

    // flex item
    flex-basis auto
    flex-grow 0
    flex-shrink 0


    & + &

        // distance
        margin-left 47px

        @media (min-width: footer__breakpoint_1)
            margin-left 0
            margin-top 0.5 * footer__line_height

        @media (min-width: footer__breakpoint_2)
            margin-left 45px
            margin-top 0


.footer__menu-item

    // display
    display block

    // text
    text-transform lowercase

    // color
    color on_paper__grey_text

    // animation
    transition standard_transition


    &:hover

        color ink
